/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */


/* Services area shortcde style starts here */
.service-area-list {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 15px;
}

.service-area-item {
    display: flex;
    align-items: center;
    gap: 10px;

    width: 100%;
    padding: 14px 16px;

    background: #ffffff;
    border: 1px solid #e5e5e5;
    border-radius: 6px;

    color: #002b45 !important;
    text-decoration: none !important;

    font-size: 16px;
    font-weight: 600;

    transition: all 0.3s ease;
    box-sizing: border-box;
}

.service-area-icon {
    width: 24px;
    height: 24px;
    min-width: 24px;

    display: flex;
    align-items: center;
    justify-content: center;

    background: #000000;
    border-radius: 50%;
}

.service-area-check {
    color: #ffffff;
    font-size: 15px;
    font-weight: 700;
    line-height: 1;
}

.service-area-name {
    flex: 1;
}

/* Hover */
.service-area-item:hover {
    background: #002b45;
    border-color: #002b45;
    color: #ffffff !important;
}

/* Tablet */
@media (max-width: 1024px) {
    .service-area-list {
        grid-template-columns: repeat(2, 1fr);
    }
}

/* Mobile */
@media (max-width: 767px) {
    .service-area-list {
        grid-template-columns: 1fr;
    }
}

/* Services shortcode style starts here */
.service-list {
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.service-item {
    display: flex;
    align-items: center;
    gap: 10px;

    width: 100%;
    padding: 14px 16px;

    background: var(--e-global-color-primary);
    border: 1px solid #e5e5e5;
    border-radius: 999px;

    color: var(--e-global-color-secondary) !important;
    text-decoration: none !important;

    font-size: 16px;
    font-weight: 600;

    transition: all 0.3s ease;
    box-sizing: border-box;
}

.service-icon {
    width: 24px;
    height: 24px;
    min-width: 24px;

    display: flex;
    align-items: center;
    justify-content: center;

    background: var(--e-global-color-secondary);
    border-radius: 50%;
}

.service-check {
    color: var(--e-global-color-primary);
    font-size: 15px;
    font-weight: 700;
    line-height: 1;
}

.service-name {
    flex: 1;
}

/* Hover */
.service-item:hover {
    background: var(--e-global-color-secondary);
    border-color: #002b45;
    color: var(--e-global-color-primary) !important;
}

.service-item:hover .service-icon {
    background: #ffffff;
}

.service-item:hover .service-check {
    color: #002b45;
}

/* Tablet */
@media (max-width: 1024px) {
    .service-list {
        grid-template-columns: repeat(2, 1fr);
    }
}

/* Mobile */
@media (max-width: 767px) {
    .service-list {
        grid-template-columns: 1fr;
    }
}
